=== debian/changelog ===
intel-media-driver (25.4.2+dfsg1-1) unstable; urgency=medium

  * New upstream version 25.4.2+dfsg1

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 01 Nov 2025 21:00:25 +0100
