=== debian/changelog ===
intel-media-driver (25.4.5+dfsg1-1) unstable; urgency=medium

  * New upstream version 25.4.5+dfsg1
  * debian/control: Drop RRR: no

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 20 Dec 2025 20:04:40 +0100
