=== debian/control ===
Source: intel-media-driver
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-libva,
 cmake,
 libdrm-dev,
 libigdgmm-dev (>= 22.4.1),
 libva-dev (>= 2.12),
 libx11-dev,
 ninja-build,
 pkgconf,
Standards-Version: 4.7.2
Homepage: https://github.com/intel/media-driver
Vcs-Browser: https://salsa.debian.org/multimedia-team/intel-media-driver
Vcs-Git: https://salsa.debian.org/multimedia-team/intel-media-driver.git

Package: intel-media-va-driver
Architecture: amd64 i386 x32
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 va-driver
Description: VAAPI driver for the Intel GEN8+ Graphics family
 The VA-API (Video Acceleration API) enables hardware accelerated video
 decode/encode at various entry-points (VLD, IDCT, Motion Compensation
 etc.) for the prevailing coding standards today (MPEG-2, MPEG-4
 ASP/H.263, MPEG-4 AVC/H.264, and VC-1/WMV3). It provides an interface
 to fully expose the video decode capabilities in today's GPUs.
 .
 This package contains the video decode and encode driver backend for
 the Intel HD Graphics of the Intel Core processor family. The supported
 platforms include:
  * Broadwell
  * Skylake
  * Broxton
  * Apollo Lake
  * Kaby Lake
  * Coffee Lake
  * Whiskey Lake
  * Cannon Lake
  * Ice Lake
 .
 Only a limited set of encoders is available via this driver: JPEG
 (Skylake and newer), AVC (Boxton and newer), HEVC and VP9 (Ice Lake and
 newer). Media shaders are only available on Ice Lake and newer.

Package: libigfxcmrt7
Section: libs
Architecture: amd64 i386 x32
Multi-Arch: same
Depends:
 intel-media-va-driver (= ${binary:Version}) | intel-media-va-driver-non-free (>= ${source:Upstream-Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: Intel C for Media Runtime -- shared library
 cmrtlib is a runtime library needed when user wants to execute their
 own GPU kernels on render engine. It calls iHD media driver to load
 the kernels and allocate the resources. It provides a set of APIs for
 user to call directly from application.
 .
 This package includes the shared library.

Package: libigfxcmrt-dev
Section: libdevel
Architecture: amd64 i386 x32
Multi-Arch: same
Depends:
 libigfxcmrt7 (= ${binary:Version}),
 ${misc:Depends},
Description: Intel C for Media Runtime -- development files
 cmrtlib is a runtime library needed when user wants to execute their
 own GPU kernels on render engine. It calls iHD media driver to load
 the kernels and allocate the resources. It provides a set of APIs for
 user to call directly from application.
 .
 This package includes files for development.
