## intel-media-driver 26.1.0%2Bdfsg1

=== debian/changelog ===
intel-media-driver (26.1.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 26.1.0+dfsg1
  * debian/control:
    - Bump Standards-Version
    - Drop Priority: optional
  * debian/patches: Fix FTBFS with cmake 4 (Closes: #1125537)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 15 Jan 2026 21:49:00 +0100
