## intel-media-driver 26.1.0+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 cmake_minimum_required(VERSION 3.5)
 project(IntelMediaDriver)
-set(MEDIA_VERSION "25.4.5${MEDIA_VERSION_EXTRA}" CACHE STRING "" FORCE)
+set(MEDIA_VERSION "26.1.0${MEDIA_VERSION_EXTRA}" CACHE STRING "" FORCE)
