## intel-media-driver 26.1.2+dfsg1

=== debian/changelog ===
intel-media-driver (26.1.2+dfsg1-1) unstable; urgency=medium

  * New upstream version 26.1.2+dfsg1
  * debian/copyright: Strip new kernels

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 14 Feb 2026 09:54:43 +0100
