=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: intel-media-driver
 Section: video
-Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Sebastian Ramacher <sramacher@debian.org>
@@ -14,7 +13,7 @@
  libx11-dev,
  ninja-build,
  pkgconf,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/intel/media-driver
 Vcs-Browser: https://salsa.debian.org/multimedia-team/intel-media-driver
 Vcs-Git: https://salsa.debian.org/multimedia-team/intel-media-driver.git
