=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,7 @@
 		-DINSTALL_DRIVER_SYSCONF=OFF \
 		-DENABLE_KERNELS=ON \
 		-DENABLE_NONFREE_KERNELS=OFF \
+		-DNVL=OFF \
 		-DBUILD_CMRTLIB=ON \
 		-DARCH=$(DEB_HOST_ARCH_BITS) \
 		-DMEDIA_BUILD_FATAL_WARNINGS=OFF
